edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ApplicationBootstrap Class Reference

EDE application bootstrapper. More...

`#include <edelib/Ede.h>`

## Public Member Functions
| ApplicationBootstrap (const char *name, const char *nls_path)
| ~ApplicationBootstrap ()

## Detailed Description

EDE application bootstrapper.

This class should not be called directly, it will be called from EDE_APPLICATION macro. It will essentially setup needed assets required by application, like initialize default theme, load icons and such, and after application ends, it will cleanup loaded data.

When this class is used (via EDE_APPLICATION), it must be linked with libedelib_gui (and dependencies), as will load GUI specific code.

## Constructor & Destructor Documentation

ApplicationBootstrap | ( | const char * | name,
|  | const char * | nls_path
| ) |  |

Initialize constructor.

~ApplicationBootstrap | ( |  | ) |

Cleanup.

The documentation for this class was generated from the following file:

- edelib/Ede.h